# Theming

## GET /v2/theme

> List Themes

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 Bearer token obtained via the OIDC authentication endpoint."}},"schemas":{"ThemeList":{"type":"array","items":{"$ref":"#/components/schemas/Theme"}},"Theme":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"logo":{"type":"string","description":"Uploaded image Id"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","description":"Show/Hide verifone seal on the checkout page"},"config":{"$ref":"#/components/schemas/config"},"id":{"type":"string"},"created_at":{"type":"string","format":"date"},"updated_at":{"type":"string","format":"date"}},"description":"Theme parameters"},"config":{"type":"object","properties":{"is_default":{"type":"boolean","default":false,"description":"Specifies whether the theme is the default theme for the entity. Only one default theme allowed per Entity/Organization."}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme":{"get":{"tags":["Theming"],"summary":"List Themes","operationId":"getV2Theme","parameters":[{"name":"search","in":"query","description":"Filter themes using RSQL syntax. Combine expressions with `;` (AND) or `,` (OR).\n\n**Filterable fields:**\n\n| Field | Type | Operators |\n|-------|------|-----------|\n| `name` | string | `==` `!=` `=in=` `=out=` `=regex=` `=contains=` |\n| `created_at` | date | `==` `!=` `=in=` `=out=` `=gt=` `=ge=` `=lt=` `=le=` |\n| `updated_at` | date | `==` `!=` `=in=` `=out=` `=gt=` `=ge=` `=lt=` `=le=` |\n| `entity_id` | string | `==` `!=` `=in=` `=out=` `=regex=` |\n| `is_default` | boolean | `==` `!=` |\n\n**Examples:**\n- `name==MyTheme;entity_id==a6b45428-0296-4394-8ddd-0b50b5b20aa9`\n- `is_default==true`","schema":{"type":"string"}},{"name":"order_criteria","in":"query","schema":{"type":"string","enum":["name","created_at","updated_at"]}},{"name":"order_by","in":"query","description":"The ordering sequence of the selected customers If not selected then Descending order is the default order.","schema":{"type":"string","enum":["ASC","DESC"]}},{"name":"page_number","in":"query","description":"A filter query in RSQL format to retrieve customers based on page number. If not selected then a default pageNumber is 1.","schema":{"minimum":1,"type":"number"}},{"name":"page_size","in":"query","description":"A filter query in RSQL format to retrieve customers based on page size. If not selected then a default pageSize is 50","schema":{"minimum":0,"type":"number"}},{"name":"populate_customer_details","in":"query","description":"A query param to allow customer details to be populated for the customer id attached to checkout.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThemeList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /v2/theme

> Create Theme

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 Bearer token obtained via the OIDC authentication endpoint."}},"schemas":{"CreateThemeRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"logo":{"type":"string","description":"Uploaded image Id"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","default":false,"description":"Show/Hide verifone seal on the checkout page"},"config":{"$ref":"#/components/schemas/config"}},"description":"Theme parameters"},"config":{"type":"object","properties":{"is_default":{"type":"boolean","default":false,"description":"Specifies whether the theme is the default theme for the entity. Only one default theme allowed per Entity/Organization."}}},"Theme":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"logo":{"type":"string","description":"Uploaded image Id"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","description":"Show/Hide verifone seal on the checkout page"},"config":{"$ref":"#/components/schemas/config"},"id":{"type":"string"},"created_at":{"type":"string","format":"date"},"updated_at":{"type":"string","format":"date"}},"description":"Theme parameters"},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme":{"post":{"tags":["Theming"],"summary":"Create Theme","operationId":"postV2Theme","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateThemeRequest"}}},"required":false},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Theme"},{"type":"object","properties":{"details":{"type":"object","description":"The details object displays any errors or warnings that occur during the request.","properties":{"warnings":{"type":"array","items":{"type":"object"}}}}}}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /v2/theme/preview

> Preview Theme

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."}},"schemas":{"PreviewThemeRequest":{"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"theme_id":{"type":"string","description":"Parameter that was created within the create theme API call that applies the customizations upon the checkout interface. Read <a target=\"_blank\" href=\"https://docs.verifone.com/online-payments/checkout/theming\">Theming</a> for details."},"logo":{"type":"string","description":"Uploaded image id"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","default":false,"description":"Show/Hide verifone seal on the checkout page"},"response_image_size":{"$ref":"#/components/schemas/ImageSize"}},"description":"Preview theme parameters"},"ImageSize":{"type":"object","properties":{"width":{"type":"string","description":"Response image width in pixels"},"height":{"type":"string","description":"Response image height in pixels"}}},"ThemePreviewResponse":{"required":["image"],"type":"object","properties":{"image":{"type":"string","description":"Previewed image converted to base64 (image type is .png)"},"response_image_size":{"$ref":"#/components/schemas/ImageSize"}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme/preview":{"post":{"tags":["Theming"],"summary":"Preview Theme","operationId":"postV2ThemePreview","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreviewThemeRequest"}}},"required":false},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThemePreviewResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /v2/theme/{themeId}

> Get a theme by id

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 Bearer token obtained via the OIDC authentication endpoint."}},"schemas":{"Theme":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"logo":{"type":"string","description":"Uploaded image Id"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","description":"Show/Hide verifone seal on the checkout page"},"config":{"$ref":"#/components/schemas/config"},"id":{"type":"string"},"created_at":{"type":"string","format":"date"},"updated_at":{"type":"string","format":"date"}},"description":"Theme parameters"},"config":{"type":"object","properties":{"is_default":{"type":"boolean","default":false,"description":"Specifies whether the theme is the default theme for the entity. Only one default theme allowed per Entity/Organization."}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme/{themeId}":{"get":{"tags":["Theming"],"summary":"Get a theme by id","operationId":"getV2ThemeThemeid","parameters":[{"name":"themeId","in":"path","description":"Parameter that was created within the create theme API call that applies the customizations upon the checkout interface. Read <a target=\"_blank\" href=\"https://docs.verifone.com/online-payments/checkout/theming\">Theming</a> for details.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Theme"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /v2/theme/{themeId}

> Update Theme

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 Bearer token obtained via the OIDC authentication endpoint."}},"schemas":{"UpdateThemeRequest":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"logo":{"type":"string","description":"Uploaded image Id"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","description":"Show/Hide verifone seal on the checkout page"},"config":{"$ref":"#/components/schemas/config"}},"description":"Theme parameters"},"config":{"type":"object","properties":{"is_default":{"type":"boolean","default":false,"description":"Specifies whether the theme is the default theme for the entity. Only one default theme allowed per Entity/Organization."}}},"Theme":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"type":"string"},"logo":{"type":"string","description":"Uploaded image Id"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"},"base_font_family":{"type":"string","description":"base fonts available for theme","enum":["Roboto","Open Sans","Lato","Slabo","Oswald","Source Sans Pro","Montserrat","Raleway","PT Sans","Lora","Noto Sans","Noto Serif","Nunito Sans","Concert One","Prompt","Work Sans"]},"text_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"heading_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"panel_background_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"primary_color_inverse_disabled":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"error_color_inverse":{"type":"string","description":"6 digit hex code, e.g. <code>ffe0e0</code>"},"input_border_radius":{"type":"number"},"input_border_width":{"type":"number"},"hide_verifone_seal":{"type":"boolean","description":"Show/Hide verifone seal on the checkout page"},"config":{"$ref":"#/components/schemas/config"},"id":{"type":"string"},"created_at":{"type":"string","format":"date"},"updated_at":{"type":"string","format":"date"}},"description":"Theme parameters"},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme/{themeId}":{"put":{"tags":["Theming"],"summary":"Update Theme","operationId":"putV2ThemeThemeid","parameters":[{"name":"themeId","in":"path","description":"Parameter that was created within the create theme API call that applies the customizations upon the checkout interface. Read <a target=\"_blank\" href=\"https://docs.verifone.com/online-payments/checkout/theming\">Theming</a> for details.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateThemeRequest"}}},"required":false},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Theme"},{"type":"object","properties":{"details":{"type":"object","description":"The details object displays any errors or warnings that occur during the request.","properties":{"warnings":{"type":"array","items":{"type":"object"}}}}}}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DELETE /v2/theme/{themeId}

> Delete a theme by id

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 Bearer token obtained via the OIDC authentication endpoint."}},"schemas":{"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme/{themeId}":{"delete":{"tags":["Theming"],"summary":"Delete a theme by id","operationId":"deleteV2ThemeThemeid","parameters":[{"name":"themeId","in":"path","description":"Parameter that was created within the create theme API call that applies the customizations upon the checkout interface. Read <a target=\"_blank\" href=\"https://docs.verifone.com/online-payments/checkout/theming\">Theming</a> for details.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Success. Theme was successfully deleted."},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /v2/theme/count

> Count Themes

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"security":[{"BasicAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication using entity credentials (username:password encoded in Base64)."},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2.0 Bearer token obtained via the OIDC authentication endpoint."}},"schemas":{"CountResponse":{"type":"object","properties":{"count":{"type":"number","description":"Count"}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}},"paths":{"/v2/theme/count":{"get":{"tags":["Theming"],"summary":"Count Themes","operationId":"getV2ThemeCount","parameters":[{"name":"search","in":"query","description":"Filter themes using RSQL syntax. Combine expressions with `;` (AND) or `,` (OR).\n\n**Filterable fields:**\n\n| Field | Type | Operators |\n|-------|------|-----------|\n| `name` | string | `==` `!=` `=in=` `=out=` `=regex=` `=contains=` |\n| `created_at` | date | `==` `!=` `=in=` `=out=` `=gt=` `=ge=` `=lt=` `=le=` |\n| `updated_at` | date | `==` `!=` `=in=` `=out=` `=gt=` `=ge=` `=lt=` `=le=` |\n| `entity_id` | string | `==` `!=` `=in=` `=out=` `=regex=` |\n| `is_default` | boolean | `==` `!=` |\n\n**Examples:**\n- `name==MyTheme;entity_id==a6b45428-0296-4394-8ddd-0b50b5b20aa9`\n- `is_default==true`","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /v2/image

> Upload image

```json
{"openapi":"3.0.1","info":{"title":"Checkout API","version":"1.42.4"},"tags":[{"name":"Theming","description":"Manage visual themes for the checkout page. Upload images and apply branding colours, fonts, and logos to customise the shopper experience."}],"servers":[{"url":"https://emea.gsc.verifone.cloud/oidc/checkout-service","description":"EMEA"},{"url":"https://us.gsc.verifone.cloud/oidc/checkout-service","description":"Americas"},{"url":"https://nz.gsc.verifone.cloud/oidc/checkout-service","description":"New Zealand"},{"url":"https://cst.test-gsc.vfims.com/oidc/checkout-service","description":"Global Sandbox"},{"url":"https://uscst-gb.gsc.vficloud.net/oidc/checkout-service","description":"US Sandbox"}],"paths":{"/v2/image":{"post":{"tags":["Theming"],"summary":"Upload image","operationId":"postV2Image","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadImageRequest"}}},"required":false},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadImageResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"413":{"description":"Request Entity Too Large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"UploadImageRequest":{"required":["image","entity_id"],"type":"object","properties":{"image":{"type":"string","description":"Image file, 500kb max, supported types: png,jpg."},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"}}},"UploadImageResponse":{"required":["created_at","entity_id","id"],"type":"object","properties":{"id":{"type":"string","description":"Image ID"},"checksum":{"type":"number","description":"Image checksum"},"created_at":{"type":"string","description":"Image uploaded time","format":"date-time"},"entity_id":{"type":"string","description":"Entity Id can be located on the organization level as Organization ID (Administration > Organizations > [Organization] > Organisation ID value)"}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"number","description":"A 3-digit code which uniquely identify an error."},"details":{"$ref":"#/components/schemas/details"},"message":{"maxLength":2048,"type":"string","description":"A description of the error."},"timestamp":{"type":"string","description":"Error timestamp","format":"date-time"}}},"details":{"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/api-reference/open-api-references/checkout/theming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
